> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axisdata.net/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity Availability

> OTA_TourActivityAvailRQ Playground

Use this message to retrieve available activities and its products, rates for detailed pax and location information.

<Tip>   Find all the necessary information regarding the request message [here](../../../excursion/availXARQ)</Tip>

***

<Warning> The endpoint (url) shown in the code snippet is for Sandbox only. If you need to throw the requests from Postman or other tools, please use [https://sintesb.axisdata.net/apu-test/ota](https://sintesb.axisdata.net/apu-test/ota) after whitelisting your IPs. More info at [Access to our Systems](../../../authentication/access)</Warning>


## OpenAPI

````yaml POST /activityavailability
openapi: 3.0.3
info:
  title: Hotel Availability API
  version: 1.0.0
servers:
  - url: https://ota-int.axisdata.net:9443
    description: Gateway endpoint
security: []
paths:
  /activityavailability:
    post:
      summary: OTA Activity Availability Request
      description: OTA_TourActivityAvailRQ Playground
      requestBody:
        required: true
        content:
          application/xml:
            schema:
              $ref: '#/components/schemas/OTA_TourActivityAvailRQ'
      responses:
        '200':
          description: Success
          content:
            application/xml:
              schema:
                type: string
components:
  schemas:
    OTA_TourActivityAvailRQ:
      type: string
      format: xml
      default: >-
        <OTA_TourActivityAvailRQ xmlns="http://www.opentravel.org/OTA/2003/05"
        Version="2011.2">
          <POS>
            <Source>
              <RequestorID ID="TEST" ID_Context="AxisData" Type="22" Instance="MF001"/>
            </Source>
            <Source>
              <RequestorID Type="88" ID="TEST" MessagePassword="testpass"/>
            </Source>
          </POS>
          <TourActivity>
            <BasicInfo/>
            <Location Context="Source">
              <Region RegionCode="HotelCode">AESPMI5L46</Region>
            </Location>
            <Location Context="Service">
              <Region RegionCode="Product">XESPMI5L4U</Region>
            </Location>
            <Schedule StartPeriod="2029-07-17" EndPeriod="2029-07-24"/>
            <ParticipantCount Quantity="1">
              <QualifierInfo>10</QualifierInfo>
            </ParticipantCount>
            <MultimodalOffer>
              <RequestedOffer>
                <GuidelinePricing>
                  <Method>PerPerson</Method>
                  <MaximumPrice Amount="999" CurrencyCode="EUR" CurrencyDecimal="2"/>
                </GuidelinePricing>
              </RequestedOffer>
            </MultimodalOffer>
          </TourActivity>
        </OTA_TourActivityAvailRQ>

````